.delivery {
    gap: 50px;
    margin-top: 30px;
}

.delivery__content {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, 1fr);
    gap: 20px;
}
    
.delivery__content > div:nth-of-type(1) {
    grid-column: span 4 / span 4;
    grid-row: span 2 / span 2;
}

.delivery__content > div:nth-of-type(2) {
    grid-column: span 2 / span 2;
    grid-row: span 2 / span 2;
    grid-row-start: 3;
}

.delivery__content > div:nth-of-type(3) {
    grid-column: span 2 / span 2;
    grid-row: span 2 / span 2;
    grid-column-start: 3;
    grid-row-start: 3;
}

.delivery-content__bottom p,
.delivery-content__top-left p {
    line-height: 26px;
    font-weight: 400;
}

.delivery-content__top,
.delivery-content__bottom {
    border-radius: 20px;
    padding: 40px;
    background-color: white;
}

.delivery-content__bottom {
    gap: 44px;
}

.delivery__content > div:nth-of-type(3) p a,
.delivery__content > div:nth-of-type(2) p span {text-decoration: underline;}
.delivery__content > div:nth-of-type(3) p a {
    color: var(--blue);

}

.delivery-content__top {
    display: grid;
    grid-template-columns: 1fr 1.4fr;
    gap: 20px;
}

.delivery-content__top-right {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
}

.delivery-content__top-right > div {
    gap: 30px;
    border-radius: 20px;
    background-color: var(--pale-white);
    padding: 20px;
    overflow: hidden;
}

.delivery-content__top-right > div > div:first-of-type img {
    width: 40px;
    height: 40px;
}

.delivery-content__top-right > div > div:last-of-type {
    height: 110px;
}

.delivery-content__top-right > div > div:last-of-type img {
    max-height: 100%;
}

@media (max-width: 1200px) {
    .delivery-content__top {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 768px) {
    .delivery {
        gap: 40px;
        margin-top: 15px;
    }

    .delivery__content {
        grid-template-columns: 1fr;
        grid-template-rows: auto;
    }
    
    .delivery__content > div {
        grid-row: auto !important;
        grid-column: auto !important;
    }

    .delivery-content__top, .delivery-content__bottom {padding: 30px;}
}

@media (max-width: 576px) {
    .delivery {gap: 30px;}

    .delivery-content__top-right {
        grid-template-columns: 1fr;
    }

    .delivery-content__top, .delivery-content__bottom {padding: 30px 25px;}
}